FLTK 1.3.8

Classes | Functions | Variables
mac.H File Reference

Mac OS X-specific symbols. More...

Go to the source code of this file.

## Classes
class | Fl_Mac_App_Menu
| Mac OS-specific class allowing to customize and localize the application menu. More...

## Functions
void | fl_mac_set_about (Fl_Callback *cb, void *user_data, int shortcut=0)
| Attaches a callback to the "About myprog" item of the system application menu.
void | fl_open_callback (void(*cb)(const char *))
| Register a function called for each file dropped onto an application icon.

## Variables
int | fl_mac_os_version
| The version number of the running Mac OS X (e.g., 100604 for 10.6.4)
int | fl_mac_quit_early
| Determines whether cmd-Q or the "Quit xxx" item of application menu terminates the app or only the event loop.
class Fl_Sys_Menu_Bar * | fl_sys_menu_bar
| The system menu bar.

## Detailed Description

Mac OS X-specific symbols.

- Copyright © 1998-2021 by Bill Spitzak and others.